### Class

# Cogl Scanout

#### Description

    final class Cogl.Scanout : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### cogl_scanout_new

No description available.

#### Functions

###### cogl_scanout_error_quark

No description available.

#### Instance methods

###### cogl_scanout_blit_to_framebuffer

No description available.

###### cogl_scanout_get_buffer

No description available.

###### cogl_scanout_get_dst_rect

No description available.

###### cogl_scanout_get_src_rect

No description available.

###### cogl_scanout_notify_failed

No description available.

###### cogl_scanout_set_dst_rect

No description available.

###### cogl_scanout_set_src_rect

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Cogl.Scanout::scanout-failed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglScanoutClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.